package com.ucar.vehiclesdk.camera;

import a.c.d.d.c;
import android.util.Range;
import android.util.Size;
import android.view.Surface;
import com.ucar.vehiclesdk.UCarCommon;

public interface AbstractCamera {
    void changeConfiguration(Surface surface, Size size, Range<Integer> range);

    void close();

    UCarCommon.CameraInfo getInfo() throws Exception;

    void open(c.e eVar);

    void startPreview(Surface surface, Range<Integer> range);

    void takePicture();
}
